######## Function kNN ########
## A modified nearest neighbor that shall find the distances
# from input well to every other well lying in the target cluster.
# The nearest neighbor algorithm is not explicitly used but rather,
# the written function is based on the same methodology for the
# purpose of ordering the most relevant wells.

# Parameters
# ----------------
# input_matrix : ndarray
#   A i x 2n matrix. Where i is the number of wells that lies within
#   the target cluster. n is the number of fm layers that the input
#   well consists of.
#
# pool : list
#   The pool of wells. It is the wells lying within the target cluster
#   as objects.


from sklearn.metrics.pairwise import pairwise_distances
def kNN(input_matrix,pool):
    neighbor = pairwise_distances(input_matrix, input_matrix)
    # Write to object's attribute
    for i in range(len(pool)):
        pool[i].nn = neighbor[i,0]
    return pool
