######## Function target_cluster ########
# Function that takes the results gained in k-means as input.
# The output produced is the information of which cluster
# every well in the database is in. The function also returns
# the target cluster, which is the cluster where our input well
# lies in. The expert system is scriptet so that kmeans[1][0]
# will always be the input well.

# Parameters
# ----------------
# kmeans : tuple
#   It is the result gained from performing k-means. Has the
#   information of the coordinates of all centroids
#   and which cluster each well belongs to.
#
# num_clusters : int, optional, default: None


def target_cluster(kmeans,num_clusters):
    clusters = []
    clust_target = kmeans[1][0]
    for i in range(num_clusters):
        cluster = []
        for j in range(len(kmeans[1])):
            if kmeans[1][j] == i :
                cluster.append(j)
            else:
                pass
        clusters.append(cluster)
    return clusters, clust_target